%define fontname gfs-complutum
%define fontdir  %{_datadir}/fonts/%{fontname}

%define archivename GFS_COMPLUTUM_OT

Name:    %{fontname}-fonts
Version: 20070413
Release: 3%{?dist}
Summary: GFS Complutum Greek font

Group:   User Interface/X
License: OFL
URL:     http://www.greekfontsociety.org/pages/en_typefaces16th.html
Source0: http://www.greekfontsociety.org/%{archivename}.zip

BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch: noarch

%description
The ancient Greek alphabet evolved during the millenium of the Byzantine era
from majuscule to minuscule form and gradually incorporated a wide array of
ligatures, flourishes and other decorative nuances which defined its
extravagant cursive character. Until the late 15th century, typographers who
had to deal with Greek text avoided emulating this complicated hand; instead
they would use only the twenty four letters of the alphabet separately, often
without accents and other diacritics.

A celebrated example is the type cut and cast for the typesetting of the New
Testament in the so-called Complutensian Polyglot Bible (1512), edited by the
Greek scholar, Demetrios Doukas. The type was cut by Arnaldo Guillén de Brocar
and the whole edition was a commision by cardinal Francisco Ximénez, in the
University of Alcalá (Complutum), Spain. It is one of the best and most
representative models of this early tradition in Greek typography which was
revived in the early 20th century by the eminent bibliographer of the British
Library, Richard Proctor. A font named Otter Greek was cut in 1903 and a book
was printed using the new type. The original type had no capitals so Proctor
added his own, which were rather large and ill-fitted. The early death of
Proctor, the big size of the font and the different aesthetic notions of the
time were the reasons that Otter Greek was destined to oblivion, as a
curiosity.

Greek Font Society incorporated Brocar's famous and distinctive type in the
commemorative edition of Pindar's Odes for the Athens Olympics (2004) and the
type with a new set of capitals, revived digitaly by George D. Matthiopoulos,
is now available for general use.


%prep
%setup -q -n %{archivename}
for txt in *.txt ; do
   fold -s $txt > $txt.new
   sed -i 's/\r//' $txt.new
   touch -r $txt $txt.new
   mv $txt.new $txt
done


%build
# Nothing there


%install
rm -fr %{buildroot}

install -m 0755 -d %{buildroot}%{fontdir}
install -m 0644 -p *.otf %{buildroot}%{fontdir}


%clean
rm -fr %{buildroot}


%post
if [ -x %{_bindir}/fc-cache ]; then
  %{_bindir}/fc-cache -f %{fontdir} || :
fi


%postun
if [ "$1" = "0" ]; then
  if [ -x %{_bindir}/fc-cache ]; then
    %{_bindir}/fc-cache -f %{fontdir} || :
  fi
fi


%files
%defattr(0644,root,root,0755)
%doc *.txt *.pdf

%dir %{fontdir}
%{fontdir}/*.otf


%changelog
* Mon Nov 26 2007 Nicolas Mailhot <nicolas.mailhot at laposte.net>
☠ 20070413-3
⚑ Re-size description so the paupers that can not afford a 80th column in
their terminal are not discriminated against.
(Courtesy: the 79-column-liberation-front cell that subverted the rpmlint
codebase)

* Sun Nov 25 2007 Nicolas Mailhot <nicolas.mailhot at laposte.net>
☺ 20070413-2
✓ initial packaging
